proxytunnel_1.9.0+svn250-6_amd64.deb


Advertisement

Description

proxytunnel - Create tcp tunnels trough HTTPS proxies, for using with SSH

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name proxytunnel
Package version 1.9.0+svn250
Package release 6
Package architecture amd64
Package type deb
Installed size 101 B
Download size 31.23 KB
Official Mirror archive.ubuntu.com
Proxytunnel is a program that connects stdin and stdout
to an origin server somewhere in the Internet through an industry
standard HTTPS proxy. It was originally written to be used
as an extension to SSH, to be used to SSH to a box at home. It's possible
to use proxytunnel along with other applications as well.

Alternatives

Package Version Architecture Repository
proxytunnel_1.9.0+svn250-6_i386.deb 1.9.0+svn250 i386 Ubuntu Universe
proxytunnel - - -

Requires

Name Value
libc6 >= 2.15
libssl1.0.0 >= 1.0.0

Download

Type URL
Binary Package proxytunnel_1.9.0+svn250-6_amd64.deb
Source Package proxytunnel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install proxytunnel deb package:
    # sudo apt-get install proxytunnel

Files

Path
/usr/bin/proxytunnel
/usr/share/doc/proxytunnel/CREDITS
/usr/share/doc/proxytunnel/README.Debian
/usr/share/doc/proxytunnel/README.gz
/usr/share/doc/proxytunnel/changelog.Debian.gz
/usr/share/doc/proxytunnel/copyright
/usr/share/doc/proxytunnel/mod-proxy.patch.gz
/usr/share/man/man1/proxytunnel.1.gz

Changelog

2015-06-15 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-6) unstable; urgency=medium
* Remove libssl pkg-config check in Makefile, as we're not using libssl
(closes: #788773)
2014-11-09 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-5) unstable; urgency=medium
* Improved fix to bug#767301: Replace SSLv3_client_method with
SSLv23_client_method so that any of the TLS versions can be used
following negotiation with the client (thanks to Peter Meiser for
pointing out my error with the previous patch) (Closes: #767301)
2014-11-07 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-4) unstable; urgency=medium
* Replace SSLv3 usage with TLSv1 to respond to CVE-2014-3566 removal of
SSLv3 from openssl package (Closes: #767301)
2014-01-28 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-3) unstable; urgency=low
* Fix regression: FTBFS on some systems (Closes: #664470)
2014-01-26 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-2) unstable; urgency=low
* Add support for TLS SNI (Closes: #725830)
2014-01-26 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0+svn250-1) unstable; urgency=medium
* New upstream release
* Revert to using OpenSSL following licensing change to allow this
* Convert copyright file to DEP-5 format
* Remove build dependency on hardening-includes; this is now dealt with
by debhelper
2013-09-09 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0-6) unstable; urgency=low
* Apply new Apache bug workaround patch from Thomas Hilber
<Thomas.Hilber@enxio.de>, modified to allow -B as a backwards
compatibility option (Closes: #691884)
* Attempt to write to the socket multiple times until all data has been
written; patch by Ludovico Cavedon <cavedon@debian.org> (Closes:
#717771)
2012-06-10 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0-5) unstable; urgency=low
* Improve documentation about the --buggy-encrypt-proxy option
* Apply hardening flags (build-depend on hardening-includes)
2012-04-29 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0-4) unstable; urgency=low
* Add patch to support buggy Apache servers via the
--buggy-encrypt-proxy option (for more info on the bug, see
https://issues.apache.org/bugzilla/show_bug.cgi?id=29744)
- with thanks to Jim Paris <jim@jtan.com> for this patch (Closes:
#618698)
* Don't install changelog twice (Closes: #614689)
* Update Standards-Version and debhelper compat level
* Fix FTBFS on GNU/kFreeBSD. Thanks to Steven Chamberlain.  (Closes:
#664470)
2010-03-29 - Julian Gilbey <jdg@debian.org>
proxytunnel (1.9.0-3) unstable; urgency=low
* Provide more useful error messages from GNUTLS
* Provide a watch file

See Also

Package Description
prt_0.19-2_all.deb Command line Perl Refactoring Tool
pry_0.10.3-2_all.deb powerful irb alternative and runtime developer console
ps-watcher_1.08-7_all.deb monitoring a system via ps-like commands
psad_2.2.3-1_amd64.deb Port Scan Attack Detector
pscan_1.2-9_amd64.deb Format string security checker for C files
psensor-common_1.1.3-2ubuntu3_all.deb common files for Psensor and Psensor server
psensor-server_1.1.3-2ubuntu3_amd64.deb Psensor server for monitoring hardware sensors remotely
psensor_1.1.3-2ubuntu3_amd64.deb display graphs for monitoring hardware temperature
pseudo_1.7.4-2_amd64.deb advanced tool for simulating superuser privileges
psfex_3.17.1+dfsg-3_amd64.deb Point Spread Function model extractor
psgml_1.4.0-5_all.deb Emacs major mode for editing SGML documents
psi-plus-common_0.16.330-1build3_all.deb common files for Psi+
psi-plus-l10n_0.16.330-1_all.deb localization files for Psi+
psi-plus-plugins_0.16.330-1build3_amd64.deb plugins for Psi+
psi-plus-skins_0.16.330-1build3_all.deb skins for Psi+
Advertisement
Advertisement